uk.ac.starlink.table.jdbc

## Class JDBCHandler

- java.lang.Object
- - uk.ac.starlink.table.jdbc.JDBCHandler

-     public class JDBCHandler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCHandler()`
    `JDBCHandler(JDBCAuthenticator auth)`
    `JDBCHandler(JDBCHandler jh)` Clone constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createJDBCTable(StarTable startab, java.lang.String spec, WriteMode mode)`
    `JDBCAuthenticator` | `getAuthenticator()`
    `static boolean` | `hasDrivers()` Indicates whether any drivers are installed.
    `StarTable` | `makeStarTable(java.lang.String spec, boolean wantRandom)`
    `void` | `setAuthenticator(JDBCAuthenticator auth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCHandler

          public JDBCHandler()

    - #### JDBCHandler

          public JDBCHandler(JDBCAuthenticator auth)

    - #### JDBCHandler

          public JDBCHandler(JDBCHandler jh)

      Clone constructor. This constructor creates a new JDBCHandler with the all the same fields as the given one `jh`.
      Parameters:
        `jh` - the handler whose fields to copy

  - ### Method Detail

    - #### getAuthenticator

          public JDBCAuthenticator getAuthenticator()

    - #### setAuthenticator

          public void setAuthenticator(JDBCAuthenticator auth)

    - #### makeStarTable

          public StarTable makeStarTable(java.lang.String spec,
                                         boolean wantRandom)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createJDBCTable

          public void createJDBCTable(StarTable startab,
                                      java.lang.String spec,
                                      WriteMode mode)
                               throws java.io.IOException,
                                      java.sql.SQLException

      Throws:
        `java.io.IOException`
        `java.sql.SQLException`

    - #### hasDrivers

          public static boolean hasDrivers()

      Indicates whether any drivers are installed.
      Returns:
        `true` iff at least one JDBC driver is available for URL resolution